package example.web;

import example.entity.*;
import example.ejb.interfaces.UserCredentialManager;

import javax.ejb.EJB;
import javax.servlet.*;
import javax.servlet.http.*;

import java.io.*;

public class RegistrationServlet extends HttpServlet {

    @EJB //reference name and type inferred from variable
    private UserCredentialManager ucm;
   
    public void service (HttpServletRequest req , HttpServletResponse resp)
                    throws ServletException, IOException {
        try {
            resp.setContentType("text/html");
            PrintWriter out = resp.getWriter();
            out.println("<HTML> <HEAD> <TITLE>New User Registartion " +
                        "</TITLE> </HEAD> <BODY BGCOLOR=white>");

            String name = req.getParameter("name");
            String password = req.getParameter("password");

            UserCredential credential = new UserCredential(name, password);

            ucm.createUser(credential); 

            out.println("Successfully created the new user. " +
                        "Click <A HREF=\"login.html\"> here </A> to login.");
            out.println("</BODY> </HTML> ");
        } catch (Exception nse) {
            throw new ServletException(nse);
        } 
    }

    public void  init( ServletConfig config) throws ServletException {
        super.init(config);
    }
    
}
